package com.pcloud.common.core.dto;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 编辑奖励dto
 *
 * @author huanghui
 * @create 2017-12-22 11:02
 **/
public class TaskBonusDto implements Serializable {
    private static final long serialVersionUID = 4984974399354934768L;
    private Long id;
    /**
     * 编辑id
     */
    private Long adviserId;
    /**
     * 任务类别
     */
    private int taskType;
    /**
     * 任务名称
     */
    private String taskName;
    /**
     * 奖励金额
     */
    private BigDecimal money;
    /**
     * 客户端ip
     */
    private String ip;

    public Long getAdviserId() {
        return adviserId;
    }

    public void setAdviserId(Long adviserId) {
        this.adviserId = adviserId;
    }

    public int getTaskType() {
        return taskType;
    }

    public void setTaskType(int taskType) {
        this.taskType = taskType;
    }

    public String getTaskName() {
        return taskName;
    }

    public void setTaskName(String taskName) {
        this.taskName = taskName;
    }

    public BigDecimal getMoney() {
        return money;
    }

    public void setMoney(BigDecimal money) {
        this.money = money;
    }

    public String getIp() {
        return ip;
    }

    public void setIp(String ip) {
        this.ip = ip;
    }

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    @Override
    public String toString() {
        return "TaskBonusDto{" +
                "id=" + id +
                ", adviserId=" + adviserId +
                ", taskType=" + taskType +
                ", taskName='" + taskName + '\'' +
                ", money=" + money +
                ", ip='" + ip + '\'' +
                '}';
    }
}
